#ifndef SOCKETS_WINSOCKET_H
#define SOCKETS_WINSOCKET_H

class WinSocket
{
public:
	WinSocket();
	~WinSocket();

	bool Create();
	bool Connect(const char* hostName, unsigned short port);
	bool Bind(unsigned short localPort);
	bool WaitForConnection();

	bool Accept(WinSocket& otherSocket);
	bool Listen(int numConnections = 1);
	bool Send(const void* data, int bytes);

	bool Close();
	bool IsOpen() const;

private:
	void*		m_socket;
	static int	m_refCount;
};

#endif // #ifndef SOCKETS_WINSOCKET_H
