#include "RdeDebug.h"

namespace
{
	rdecore::assertion::Handler s_handler(0);
}

namespace rdecore
{
//-----------------------------------------------------------------------------
void assertion::SetHandler(Handler newHandler)
{
	s_handler = newHandler;
}

//-----------------------------------------------------------------------------
bool assertion::Failure(const char* expr, const char* file, int line)
{
	if (s_handler)
		return s_handler(expr, file, line);
	return false;
}

}
//-----------------------------------------------------------------------------
